Package com.io7m.cedarbridge.schema.ast

# Record Class CBASTImport

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.ast.CBASTImport

Record Components:
  `userData` - The user data
  `lexical` - The lexical info
  `target` - The target package
  `shortName` - The short name to which the package will be referred

All Implemented Interfaces:
  `CBASTDeclarationType`, `CBASTElementType`, `com.io7m.jlexing.core.LexicalType<URI>`

public record CBASTImport(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTPackageName target, CBASTPackageShortName shortName) extends Record implements CBASTDeclarationType
A package import.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBASTImport(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTPackageName target, CBASTPackageShortName shortName)`
  A package import.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jlexing.core.LexicalPosition<URI>`
  `lexical()`
  Returns the value of the `lexical` record component.
  `CBASTPackageShortName`
  `shortName()`
  Returns the value of the `shortName` record component.
  `CBASTPackageName`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CBASTMutableUserData`
  `userData()`
  Returns the value of the `userData` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBASTImport

    public CBASTImport(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTPackageName target, CBASTPackageShortName shortName)
    A package import.
    Parameters:
      `userData` - The user data
      `lexical` - The lexical info
      `target` - The target package
      `shortName` - The short name to which the package will be referred

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userData

    public CBASTMutableUserData userData()
    Returns the value of the `userData` record component.
    Specified by:
      `userData` in interface `CBASTElementType`
    Returns:
      the value of the `userData` record component

  - ### lexical

    public com.io7m.jlexing.core.LexicalPosition<URI> lexical()
    Returns the value of the `lexical` record component.
    Specified by:
      `lexical` in interface `CBASTElementType`
    Specified by:
      `lexical` in interface `com.io7m.jlexing.core.LexicalType<URI>`
    Returns:
      the value of the `lexical` record component

  - ### target

    public CBASTPackageName target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component

  - ### shortName

    public CBASTPackageShortName shortName()
    Returns the value of the `shortName` record component.
    Returns:
      the value of the `shortName` record component